contracts / CommercialPaper / State

# State

`data class State : OwnableState`

### Constructors

<init> | `State(issuance: PartyAndReference, owner: PublicKey, faceValue: Amount, maturityDate: Instant)`

### Properties

contract | `val contract: CommercialPaper` Contract by which the state belongs
faceValue | `val faceValue: Amount`
issuance | `val issuance: PartyAndReference`
maturityDate | `val maturityDate: Instant`
owner | `val owner: PublicKey` There must be a MoveCommand signed by this key to claim the amount

### Functions

toString | `fun toString(): String`
withFaceValue | `fun withFaceValue(newFaceValue: Amount): <ERROR CLASS>`
withIssuance | `fun withIssuance(newIssuance: PartyAndReference): <ERROR CLASS>`
withMaturityDate | `fun withMaturityDate(newMaturityDate: Instant): <ERROR CLASS>`
withNewOwner | `fun withNewOwner(newOwner: PublicKey): <ERROR CLASS>` Copies the underlying data structure, replacing the owner field with this new value and leaving the rest alone
withOwner | `fun withOwner(newOwner: PublicKey): <ERROR CLASS>`
withoutOwner | `fun withoutOwner(): State`